<template>
	<div id="app">
		<div class="etabs-tabgroup">
			<div class="etabs-tabs"></div>
			<div class="etabs-buttons"></div>
		</div>
		<div class="etabs-views"></div>
	</div>
</template>

<script>
const TabGroup = require('electron-tabs');
require("/node_modules/electron-tabs/electron-tabs.css")
export default {
	name: 'App',
	components: {},
	data() {
		return {
			tabGroup: null
		}
	},
	mounted() {
		let tabGroup = new TabGroup({
			newTab: {
				title: 'New Tab',
				src: 'https://t.iscm.360arrow.com/'
			}
		});
		this.tabGroup = tabGroup
		tabGroup.addTab({
			title: 'Google',
			src: 'http://p.iscm.360arrow.com/'
		});

		tabGroup.addTab({
			title: 'Electron',
			src: 'https://t.iscm.360arrow.com/',
			visible: true,
			active: true
		});
	},
};
</script>

<style>
#app {
	font-family: Avenir, Helvetica, Arial, sans-serif;
	-webkit-font-smoothing: antialiased;
	-moz-osx-font-smoothing: grayscale;
	padding: 0;
	margin: 0;
}
</style>
